### Enumeration

# Nautilus OperationResult

#### Declaration

    enum Nautilus.OperationResult

#### Description [src]

Return values for asynchronous operations performed by the extension. See nautilus_info_provider_update_file_info().

#### Members

`NAUTILUS_OPERATION_COMPLETE`

  The operation succeeded, and the extension is done with the request.

  - Value: `0`
  - Available since: 4.0
`NAUTILUS_OPERATION_FAILED`

  The operation failed.

  - Value: `1`
  - Available since: 4.0
`NAUTILUS_OPERATION_IN_PROGRESS`

  The extension has begin an async operation. When this value is returned, the extension must set the handle parameter and call the callback closure when the operation is complete.

  - Value: `2`
  - Available since: 4.0